Bug 128108 - usb scanner working in fc2 not recognized in fc3t1
usb scanner working in fc2 not recognized in fc3t1
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-18 00:00 EDT by Gerry Tool
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.7-1.494
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-19 22:22:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2004-07-18 00:00:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
My USB scanner (Epson Perfection 1240U) works fine in FC2, but is not
recognized in FC3T1.

The FC2 hardware browser lists the scanner and three USB controllers
under system devices.

Sane-find-scanner gives this result:
 
[root@gstpc gerry]# sane-find-scanner
 
  # No SCSI scanners found. If you expected something different, make
sure that
  # you have loaded a SCSI driver for your SCSI adapter.
 
found USB scanner (vendor=0x04b8 [EPSON], product=0x010b
[Perfection1240]) at libusb:003:002
  # Your USB scanner was (probably) detected. It may or may not be
supported by
  # SANE. Try scanimage -L and read the backend's manpage.
 
  # Scanners connected to the parallel port or other proprietary ports
can't be
  # detected by this program.

I also have a USB smartmedia reader and a USB key which show up in
both FC2 and FC3T1.

In FC3T1 (kernel 2.6.7-1.488) no System Devices heading shows up in
Hardware Browser,  There is a USB deices section which lists 3 USB
controllers, but no scanner.

Sane-find-scanner gives this null result:

[root@gstpc root]# sane-find-scanner
 
  # No SCSI scanners found. If you expected something different, make
sure that
  # you have loaded a SCSI driver for your SCSI adapter.
 
  # No USB scanners found. If you expected something different, make
sure that
  # you have loaded a driver for your USB host controller and have
installed a
  # kernel scanner module.
 
  # Not checking for parallel port scanners.
 
  # Most Scanners connected to the parallel port or other proprietary
ports
  # can't be detected by this program.

USB messages in /var/log/messages from bootup on FC2
============================================
kernel 2.6.6-1.435.2.3

Jul 17 08:46:29 gstpc kernel: usbcore: registered new driver usbfs
Jul 17 08:46:29 gstpc kernel: usbcore: registered new driver hub
Jul 17 08:46:29 gstpc kernel: usbcore: registered new driver hiddev
Jul 17 08:46:29 gstpc kernel: usbcore: registered new driver usbhid
Jul 17 08:46:29 gstpc kernel: drivers/usb/input/hid-core.c: v2.0:USB
HID core driver
Jul 17 08:46:30 gstpc kernel: usb 1-1: new full speed USB device using
address 2
Jul 17 08:46:30 gstpc kernel: usb 3-1: new full speed USB device using
address 2
Jul 17 08:46:30 gstpc kernel: usbcore: registered new driver usb-storage
Jul 17 08:46:30 gstpc kernel: usb 5-3: new high speed USB device using
address 2
Jul 17 08:46:30 gstpc kernel: usb 1-1: USB disconnect, address 2
Jul 17 08:46:30 gstpc kernel: usb 1-1: new full speed USB device using
address 3


USB messages in /var/log/messages from bootup on FC3T1
==============================================
kernel 2.6.7-1.488

Jul 17 09:04:10 gstpc kernel: usbcore: registered new driver usbfs
Jul 17 09:04:10 gstpc kernel: usbcore: registered new driver hub
Jul 17 09:04:10 gstpc kernel: usbcore: registered new driver hiddev
Jul 17 09:04:10 gstpc kernel: usbcore: registered new driver usbhid
Jul 17 09:04:10 gstpc kernel: drivers/usb/input/hid-core.c: v2.0:USB
HID core driver
Jul 17 09:04:10 gstpc kernel: usb 1-3: new high speed USB device using
address 3
Jul 17 09:04:10 gstpc kernel: usb 2-1: new full speed USB device using
address 2
Jul 17 09:04:10 gstpc kernel: usb 4-1: new full speed USB device using
address 2
Jul 17 09:04:10 gstpc kernel: usbcore: registered new driver usb-storage
Jul 17 09:04:13 gstpc kernel: drivers/usb/serial/usb-serial.c: USB
Serial support registered for Generic
Jul 17 09:04:13 gstpc kernel: usbcore: registered new driver
usbserial_generic
Jul 17 09:04:13 gstpc kernel: usbcore: registered new driver usbserial
Jul 17 09:04:13 gstpc kernel: drivers/usb/serial/usb-serial.c: USB
Serial Driver core v2.0


Version-Release number of selected component (if applicable):
kernel 2.6.7-1.488

How reproducible:
Always

Steps to Reproduce:
1. Boot fc3t1
2. Log in
3. Try to find usb scanner
    

Actual Results:  No trace of scanner

Expected Results:  sane-find-scanner should find scanner

hardware browser should list scanner

Additional info:

I cannot get kernels 478 and 492 to boot completely.  They hang on the
line "Mounting USB Filesystems".  This probably indicates a more
global USB problem than just not recognizing the scanner.

This scanner works on this system in FC1, FC2.  The permissions on the
scanner file have to be set in FC2 before it will work:

[root@gstpc gerry]# chmod a+w /proc/bus/usb/003/002

but then it works just fine.

I have selinux=0 appended to the kernel boot line in grub.conf.
Comment 1 Jim Cornette 2004-07-18 08:14:54 EDT
As additional information about this scanner problem. I have no
problems with my scanner. I am able to see the scanner in the HW
browser and also can hotplug the scanner and an image is scanner
correctly.
running as root the lsusb command shows a lot of lines with the below
error but does show the USB devices.
Unknown line at line 4969
all the way down consecutively to below line.
Unknown line at line 5004
Bus 001 Device 004: ID 03f0:0505 Hewlett-Packard ScanJet 2100c
Bus 001 Device 003: ID 0451:2046 Texas Instruments, Inc. TUSB2046 Hub
Bus 001 Device 002: ID 04b4:6830 Cypress Semiconductor Corp.
Bus 001 Device 001: ID 0000:0000


Also, the usb-serial entry in Gerry's FC3T1 system and not in the FC2
output stand out as not the same. Why is the usb-serial driver present
 in one, but not the other?
Comment 2 Gerry Tool 2004-07-18 09:26:55 EDT
From discussions on fedora-test-list, I believe Jim Cornette's system
is an upgrade to FC3T1 from FC2 where his scanner already worked,
whereas my FC3T1 system is a fresh install from CDs.  My scanner also
works in my FC2 install.
Comment 3 Gerry Tool 2004-07-19 22:22:19 EDT
kernel 2.6.7-1.494 has fixed this problem for me.

Note You need to log in before you can comment on or make changes to this bug.